import javafx.application.Application;
import javafx.beans.value.ObservableValue;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.Slider;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class HalloJavaFX_v2 extends Application {
  // Main-Methode, von Java aufgerufen
  public static void main(String[] args) {
      launch(args);
  }

  // Der eigentliche Start der Anwendung
  public void start(Stage primaryStage) {
    // Layout zusammenbauen
    VBox layout = new VBox(10);

    Slider slider = new Slider(18, 44, 28);
    slider.setShowTickMarks(true);
    slider.setShowTickLabels(true);
    slider.setMajorTickUnit(2);
    slider.setBlockIncrement(1);
    layout.getChildren().add(slider);

    Label label = new Label("Hallo, JavaFX!");
    layout.getChildren().add(label);

    // Schriftgre mit dem Slider regeln
    slider.valueProperty().addListener(
      (ObservableValue<? extends Number> ov,
       Number oldValue, Number newValue) -> {
         double size = newValue.doubleValue();
         label.setStyle("-fx-font-size: " + size + "px;");
      }
    );

    // Auf den Schirm!
    Scene scene = new Scene(layout, 400, 150);

    scene.getStylesheets().add(HalloJavaFX_v2.class
            .getResource("style.css").toExternalForm());

    primaryStage.setScene(scene);
    primaryStage.setTitle("Hallo, JavaFX!");
    primaryStage.show();
  }
}
